import express from 'express';
import { resolveAddressHandler, timeslotsHandler, deliveriesHandler, cancelDeliveryHandler, dailyDeliveriesHandler, weeklyDeliveriesHandler } from './handlers';

const router = express.Router();

router.post('/resolve-address', resolveAddressHandler);
router.get('/deliveries/daily', dailyDeliveriesHandler);
router.get('/deliveries/weekly', weeklyDeliveriesHandler);
router.post('/timeslots', timeslotsHandler);
router.post('/deliveries', deliveriesHandler);
router.delete('/deliveries/:id', cancelDeliveryHandler);

export default router; 